libepubgen::EPUBHTMLGeneratorImpl Struct Reference documentation

Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | List of all members
libepubgen::EPUBHTMLGeneratorImpl Struct Reference

the internal state of a html document generator More...

## Public Member Functions
| EPUBHTMLGeneratorImpl (EPUBXMLContent &document, EPUBImageManager &imageManager, EPUBFontManager &fontManager, EPUBListStyleManager &listStyleManager, EPUBParagraphStyleManager &paragraphStyleManager, EPUBSpanStyleManager &spanStyleManager, EPUBSpanStyleManager &bodyStyleManager, EPUBTableStyleManager &tableStyleManager, const EPUBPath &path, const EPUBPath &stylesheetPath, EPUBStylesMethod stylesMethod, EPUBLayoutMethod layoutMethod, int version)
| constructor More...
| ~EPUBHTMLGeneratorImpl ()
| destructor More...
EPUBXMLContent & | output (bool sendDelayed=true)
| returns the actual output ( sending delayed data if needed) More...
TextZoneSink & | getSink ()
| returns the actual sink More...
void | push (EPUBHTMLTextZone::Type type)
void | pop ()
void | sendMetaData (EPUBXMLContent &out)
void | flushUnsent (EPUBXMLContent &out)

## Public Attributes
EPUBXMLContent & | m_document
EPUBImageManager & | m_imageManager
EPUBFontManager & | m_fontManager
EPUBListStyleManager & | m_listManager
EPUBParagraphStyleManager & | m_paragraphManager
EPUBSpanStyleManager & | m_spanManager
EPUBSpanStyleManager & | m_bodyManager
EPUBTableStyleManager & | m_tableManager
const EPUBPath | m_path
const EPUBPath | m_stylesheetPath
int | m_actualPage
RVNGPropertyList | m_actualPageProperties
bool | m_ignore
bool | m_hasText
| Does the currently opened paragraph have some text? More...
int | m_version
std::stack< std::string > | m_frameAnchorTypes
std::stack< RVNGPropertyList > | m_framePropertiesStack
std::stack< RVNGPropertyList > | m_linkPropertiesStack
| This is used for links which don't have a href. More...
std::stack< RVNGPropertyList > | m_paragraphAttributesStack
std::stack< RVNGPropertyList > | m_spanAttributesStack
std::string | m_rubyText
| This is set when the span has ruby text and should be wrapped in <ruby></ruby>. More...
EPUBStylesMethod | m_stylesMethod
EPUBLayoutMethod | m_layoutMethod

## Protected Attributes
std::unique_ptr< TextZoneSink > | m_actualSink
std::stack< std::unique_ptr< TextZoneSink > > | m_sinkStack
EPUBHTMLTextZone | m_zones [EPUBHTMLTextZone::Z_NumZones]

## Private Member Functions
| EPUBHTMLGeneratorImpl (EPUBHTMLGeneratorImpl const &orig)
EPUBHTMLGeneratorImpl | operator= (EPUBHTMLGeneratorImpl const &orig)

## Detailed Description

the internal state of a html document generator

## Constructor & Destructor Documentation

## ◆ EPUBHTMLGeneratorImpl() [1/2]

libepubgen::EPUBHTMLGeneratorImpl::EPUBHTMLGeneratorImpl | ( | EPUBXMLContent & | document,
|  | EPUBImageManager & | imageManager,
|  | EPUBFontManager & | fontManager,
|  | EPUBListStyleManager & | listStyleManager,
|  | EPUBParagraphStyleManager & | paragraphStyleManager,
|  | EPUBSpanStyleManager & | spanStyleManager,
|  | EPUBSpanStyleManager & | bodyStyleManager,
|  | EPUBTableStyleManager & | tableStyleManager,
|  | const EPUBPath & | path,
|  | const EPUBPath & | stylesheetPath,
|  | EPUBStylesMethod | stylesMethod,
|  | EPUBLayoutMethod | layoutMethod,
|  | int | version
| ) |  |
| inline

constructor

## ◆ ~EPUBHTMLGeneratorImpl()

libepubgen::EPUBHTMLGeneratorImpl::~EPUBHTMLGeneratorImpl | ( |  | ) |
| inline

destructor

## ◆ EPUBHTMLGeneratorImpl() [2/2]

libepubgen::EPUBHTMLGeneratorImpl::EPUBHTMLGeneratorImpl | ( | EPUBHTMLGeneratorImpl const & | orig | ) |
| private

## Member Function Documentation

## ◆ flushUnsent()

void libepubgen::EPUBHTMLGeneratorImpl::flushUnsent | ( | EPUBXMLContent & | out | ) |
| inline

## ◆ getSink()

TextZoneSink & libepubgen::EPUBHTMLGeneratorImpl::getSink | ( |  | ) |
| inline

returns the actual sink

## ◆ operator=()

EPUBHTMLGeneratorImpl libepubgen::EPUBHTMLGeneratorImpl::operator= | ( | EPUBHTMLGeneratorImpl const & | orig | ) |
| private

## ◆ output()

EPUBXMLContent & libepubgen::EPUBHTMLGeneratorImpl::output | ( | bool | sendDelayed = `true` | ) |
| inline

returns the actual output ( sending delayed data if needed)

## ◆ pop()

void libepubgen::EPUBHTMLGeneratorImpl::pop | ( |  | ) |
| inline

## ◆ push()

void libepubgen::EPUBHTMLGeneratorImpl::push | ( | EPUBHTMLTextZone::Type | type | ) |
| inline

## ◆ sendMetaData()

void libepubgen::EPUBHTMLGeneratorImpl::sendMetaData | ( | EPUBXMLContent & | out | ) |
| inline

## Member Data Documentation

## ◆ m_actualPage

int libepubgen::EPUBHTMLGeneratorImpl::m_actualPage

## ◆ m_actualPageProperties

RVNGPropertyList libepubgen::EPUBHTMLGeneratorImpl::m_actualPageProperties

## ◆ m_actualSink

std::unique_ptr<TextZoneSink> libepubgen::EPUBHTMLGeneratorImpl::m_actualSink
| protected

## ◆ m_bodyManager

EPUBSpanStyleManager& libepubgen::EPUBHTMLGeneratorImpl::m_bodyManager

## ◆ m_document

EPUBXMLContent& libepubgen::EPUBHTMLGeneratorImpl::m_document

## ◆ m_fontManager

EPUBFontManager& libepubgen::EPUBHTMLGeneratorImpl::m_fontManager

## ◆ m_frameAnchorTypes

std::stack<std::string> libepubgen::EPUBHTMLGeneratorImpl::m_frameAnchorTypes

## ◆ m_framePropertiesStack

std::stack<RVNGPropertyList> libepubgen::EPUBHTMLGeneratorImpl::m_framePropertiesStack

## ◆ m_hasText

bool libepubgen::EPUBHTMLGeneratorImpl::m_hasText

Does the currently opened paragraph have some text?

## ◆ m_ignore

bool libepubgen::EPUBHTMLGeneratorImpl::m_ignore

## ◆ m_imageManager

EPUBImageManager& libepubgen::EPUBHTMLGeneratorImpl::m_imageManager

## ◆ m_layoutMethod

EPUBLayoutMethod libepubgen::EPUBHTMLGeneratorImpl::m_layoutMethod

## ◆ m_linkPropertiesStack

std::stack<RVNGPropertyList> libepubgen::EPUBHTMLGeneratorImpl::m_linkPropertiesStack

This is used for links which don't have a href.

## ◆ m_listManager

EPUBListStyleManager& libepubgen::EPUBHTMLGeneratorImpl::m_listManager

## ◆ m_paragraphAttributesStack

std::stack<RVNGPropertyList> libepubgen::EPUBHTMLGeneratorImpl::m_paragraphAttributesStack

## ◆ m_paragraphManager

EPUBParagraphStyleManager& libepubgen::EPUBHTMLGeneratorImpl::m_paragraphManager

## ◆ m_path

const EPUBPath libepubgen::EPUBHTMLGeneratorImpl::m_path

## ◆ m_rubyText

std::string libepubgen::EPUBHTMLGeneratorImpl::m_rubyText

This is set when the span has ruby text and should be wrapped in <ruby></ruby>.

## ◆ m_sinkStack

std::stack<std::unique_ptr<TextZoneSink> > libepubgen::EPUBHTMLGeneratorImpl::m_sinkStack
| protected

## ◆ m_spanAttributesStack

std::stack<RVNGPropertyList> libepubgen::EPUBHTMLGeneratorImpl::m_spanAttributesStack

## ◆ m_spanManager

EPUBSpanStyleManager& libepubgen::EPUBHTMLGeneratorImpl::m_spanManager

## ◆ m_stylesheetPath

const EPUBPath libepubgen::EPUBHTMLGeneratorImpl::m_stylesheetPath

## ◆ m_stylesMethod

EPUBStylesMethod libepubgen::EPUBHTMLGeneratorImpl::m_stylesMethod

## ◆ m_tableManager

EPUBTableStyleManager& libepubgen::EPUBHTMLGeneratorImpl::m_tableManager

## ◆ m_version

int libepubgen::EPUBHTMLGeneratorImpl::m_version

## ◆ m_zones

EPUBHTMLTextZone libepubgen::EPUBHTMLGeneratorImpl::m_zones[EPUBHTMLTextZone::Z_NumZones]
| protected

The documentation for this struct was generated from the following file:

- EPUBHTMLGenerator.cpp